llvm.org GIT mirror llvm / e2cfe5d
For PR814: Provide support for making cross-compiling builds. See the PR for details. Patch provided by Anton Korobeynikov. Thanks, Anton! git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@29309 91177308-0d34-0410-b5e6-96231b3b80d8 Reid Spencer 13 years ago
4 changed file(s) with 240 addition(s) and 40 deletion(s). Raw diff Collapse all Expand all
9696 # Target hardware architecture
9797 ARCH=@ARCH@
9898
99 # Indicates, whether we're cross-compiling LLVM or not
100 LLVM_CROSS_COMPILING=@LLVM_CROSS_COMPILING@
101
102 # Executable file extension for build platform (mainly for
103 # tablegen call if we're cross-compiling).
104 BUILD_EXEEXT=@BUILD_EXEEXT@
105
99106 # Target triple (cpu-vendor-os) for which we should generate code
100107 TARGET_TRIPLE=@target@
101108
213220 # Enable JIT for this platform
214221 TARGET_HAS_JIT = @TARGET_HAS_JIT@
215222
216 # Shared library extension for this platform.
223 # Shared library extension for host platform.
217224 SHLIBEXT = @SHLIBEXT@
218225
219 # Executable file extension for this platform.
226 # Executable file extension for host platform.
220227 EXEEXT = @EXEEXT@
221228
222229 # Things we just assume are "there"
280280 LLVMAS := $(LLVMToolDir)/llvm-as$(EXEEXT)
281281 endif
282282 ifndef TBLGEN
283 TBLGEN := $(LLVMToolDir)/tblgen$(EXEEXT)
283 ifeq ($(LLVM_CROSS_COMPILING),1)
284 TBLGEN := $(LLVMToolDir)/tblgen$(BUILD_EXEEXT)
285 else
286 TBLGEN := $(LLVMToolDir)/tblgen$(EXEEXT)
287 endif
284288 endif
285289 ifndef GCCAS
286290 GCCAS := $(LLVMToolDir)/gccas$(EXEEXT)
9797
9898 dnl Determine the platform type and cache its value. This helps us configure
9999 dnl the System library to the correct build platform.
100 AC_CACHE_CHECK([type of operating system we're on],
100 AC_CACHE_CHECK([type of operating system we're going to host on],
101101 [llvm_cv_os_type],
102 [case $build in
102 [case $host in
103103 *-*-aix*)
104104 llvm_cv_os_type="AIX"
105105 llvm_cv_platform_type="Unix" ;;
186186
187187 dnl Check for the endianness of the target
188188 AC_C_BIGENDIAN(AC_SUBST([ENDIAN],[big]),AC_SUBST([ENDIAN],[little]))
189
190 dnl Check for build platform executable suffix if we're crosscompiling
191 if test "$cross_compiling" = yes; then
192 AC_SUBST(LLVM_CROSS_COMPILING, [1])
193 AC_BUILD_EXEEXT
194 else
195 AC_SUBST(LLVM_CROSS_COMPILING, [0])
196 fi
189197
190198 dnl Check to see if there's a "CVS" directory indicating that this build is
191199 dnl being done from a CVS checkout. This sets up several defaults for the
476476 # include
477477 #endif"
478478
479 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS LLVM_COPYRIGHT subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVM_ON_UNIX LLVM_ON_WIN32 ARCH ENDIAN CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CVSBUILD ENABLE_OPTIMIZED DISABLE_ASSERTIONS DEBUG_RUNTIME JIT TARGET_HAS_JIT ENABLE_DOXYGEN ENABLE_THREADS TARGETS_TO_BUILD EXTRA_OPTIONS CPP CXX CXXFLAGS ac_ct_CXX LEX LEXLIB LEX_OUTPUT_ROOT FLEX YACC BISON ifGNUmake LN_S CMP CP DATE FIND GREP MKDIR MV RANLIB ac_ct_RANLIB RM SED TAR GRAPHVIZ DOT GV DOTTY PERL HAVE_PERL INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA BZIP2 DOXYGEN ETAGS GROFF GZIP POD2HTML POD2MAN RUNTEST TCLSH ZIP EGREP INSTALL_LTDL_TRUE INSTALL_LTDL_FALSE CONVENIENCE_LTDL_TRUE CONVENIENCE_LTDL_FALSE LIBADD_DL ECHO AR ac_ct_AR STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ETAGSFLAGS LLVMGCC LLVMGXX ALLOCA MMAP_FILE LLVMCC1 LLVMCC1PLUS LLVMGCCDIR LLVMGCC_VERSION LLVMGCC_MAJVERS SHLIBEXT LLVM_PREFIX LLVM_BINDIR LLVM_LIBDIR LLVM_DATADIR LLVM_DOCSDIR LLVM_ETCDIR LLVM_INCLUDEDIR LLVM_INFODIR LLVM_MANDIR LLVM_CONFIGTIME LIBOBJS LTLIBOBJS'
479 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS LLVM_COPYRIGHT subdirs build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVM_ON_UNIX LLVM_ON_WIN32 ARCH ENDIAN CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LLVM_CROSS_COMPILING BUILD_CC BUILD_EXEEXT CVSBUILD ENABLE_OPTIMIZED DISABLE_ASSERTIONS DEBUG_RUNTIME JIT TARGET_HAS_JIT ENABLE_DOXYGEN ENABLE_THREADS TARGETS_TO_BUILD EXTRA_OPTIONS CPP CXX CXXFLAGS ac_ct_CXX LEX LEXLIB LEX_OUTPUT_ROOT FLEX YACC BISON ifGNUmake LN_S CMP CP DATE FIND GREP MKDIR MV RANLIB ac_ct_RANLIB RM SED TAR GRAPHVIZ DOT GV DOTTY PERL HAVE_PERL INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA BZIP2 DOXYGEN ETAGS GROFF GZIP POD2HTML POD2MAN RUNTEST TCLSH ZIP EGREP INSTALL_LTDL_TRUE INSTALL_LTDL_FALSE CONVENIENCE_LTDL_TRUE CONVENIENCE_LTDL_FALSE LIBADD_DL ECHO AR ac_ct_AR STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ETAGSFLAGS LLVMGCC LLVMGXX ALLOCA MMAP_FILE LLVMCC1 LLVMCC1PLUS LLVMGCCDIR LLVMGCC_VERSION LLVMGCC_MAJVERS SHLIBEXT LLVM_PREFIX LLVM_BINDIR LLVM_LIBDIR LLVM_DATADIR LLVM_DOCSDIR LLVM_ETCDIR LLVM_INCLUDEDIR LLVM_INFODIR LLVM_MANDIR LLVM_CONFIGTIME LIBOBJS LTLIBOBJS'
480480 ac_subst_files=''
481481
482482 # Initialize some variables set by options.
17091709 NONENONEs,x,x, &&
17101710 program_prefix=${target_alias}-
17111711
1712 echo "$as_me:$LINENO: checking type of operating system we're on" >&5
1713 echo $ECHO_N "checking type of operating system we're on... $ECHO_C" >&6
1712 echo "$as_me:$LINENO: checking type of operating system we're going to host on" >&5
1713 echo $ECHO_N "checking type of operating system we're going to host on... $ECHO_C" >&6
17141714 if test "${llvm_cv_os_type+set}" = set; then
17151715 echo $ECHO_N "(cached) $ECHO_C" >&6
17161716 else
1717 case $build in
1717 case $host in
17181718 *-*-aix*)
17191719 llvm_cv_os_type="AIX"
17201720 llvm_cv_platform_type="Unix" ;;
29762976 esac
29772977
29782978
2979 if test "$cross_compiling" = yes; then
2980 LLVM_CROSS_COMPILING=1
2981
2982
2983 echo "$as_me:$LINENO: checking for executable suffix on build platform" >&5
2984 echo $ECHO_N "checking for executable suffix on build platform... $ECHO_C" >&6
2985 if test "${ac_cv_build_exeext+set}" = set; then
2986 echo $ECHO_N "(cached) $ECHO_C" >&6
2987 else
2988 if test "$CYGWIN" = yes || test "$MINGW32" = yes; then
2989 ac_cv_build_exeext=.exe
2990 else
2991 ac_build_prefix=${build_alias}-
2992
2993 # Extract the first word of "${ac_build_prefix}gcc", so it can be a program name with args.
2994 set dummy ${ac_build_prefix}gcc; ac_word=$2
2995 echo "$as_me:$LINENO: checking for $ac_word" >&5
2996 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
2997 if test "${ac_cv_prog_BUILD_CC+set}" = set; then
2998 echo $ECHO_N "(cached) $ECHO_C" >&6
2999 else
3000 if test -n "$BUILD_CC"; then
3001 ac_cv_prog_BUILD_CC="$BUILD_CC" # Let the user override the test.
3002 else
3003 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
3004 for as_dir in $PATH
3005 do
3006 IFS=$as_save_IFS
3007 test -z "$as_dir" && as_dir=.
3008 for ac_exec_ext in '' $ac_executable_extensions; do
3009 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
3010 ac_cv_prog_BUILD_CC="${ac_build_prefix}gcc"
3011 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
3012 break 2
3013 fi
3014 done
3015 done
3016
3017 fi
3018 fi
3019 BUILD_CC=$ac_cv_prog_BUILD_CC
3020 if test -n "$BUILD_CC"; then
3021 echo "$as_me:$LINENO: result: $BUILD_CC" >&5
3022 echo "${ECHO_T}$BUILD_CC" >&6
3023 else
3024 echo "$as_me:$LINENO: result: no" >&5
3025 echo "${ECHO_T}no" >&6
3026 fi
3027
3028 if test -z "$BUILD_CC"; then
3029 # Extract the first word of "gcc", so it can be a program name with args.
3030 set dummy gcc; ac_word=$2
3031 echo "$as_me:$LINENO: checking for $ac_word" >&5
3032 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
3033 if test "${ac_cv_prog_BUILD_CC+set}" = set; then
3034 echo $ECHO_N "(cached) $ECHO_C" >&6
3035 else
3036 if test -n "$BUILD_CC"; then
3037 ac_cv_prog_BUILD_CC="$BUILD_CC" # Let the user override the test.
3038 else
3039 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
3040 for as_dir in $PATH
3041 do
3042 IFS=$as_save_IFS
3043 test -z "$as_dir" && as_dir=.
3044 for ac_exec_ext in '' $ac_executable_extensions; do
3045 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
3046 ac_cv_prog_BUILD_CC="gcc"
3047 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
3048 break 2
3049 fi
3050 done
3051 done
3052
3053 fi
3054 fi
3055 BUILD_CC=$ac_cv_prog_BUILD_CC
3056 if test -n "$BUILD_CC"; then
3057 echo "$as_me:$LINENO: result: $BUILD_CC" >&5
3058 echo "${ECHO_T}$BUILD_CC" >&6
3059 else
3060 echo "$as_me:$LINENO: result: no" >&5
3061 echo "${ECHO_T}no" >&6
3062 fi
3063
3064 if test -z "$BUILD_CC"; then
3065 # Extract the first word of "cc", so it can be a program name with args.
3066 set dummy cc; ac_word=$2
3067 echo "$as_me:$LINENO: checking for $ac_word" >&5
3068 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
3069 if test "${ac_cv_prog_BUILD_CC+set}" = set; then
3070 echo $ECHO_N "(cached) $ECHO_C" >&6
3071 else
3072 if test -n "$BUILD_CC"; then
3073 ac_cv_prog_BUILD_CC="$BUILD_CC" # Let the user override the test.
3074 else
3075 ac_prog_rejected=no
3076 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
3077 for as_dir in $PATH
3078 do
3079 IFS=$as_save_IFS
3080 test -z "$as_dir" && as_dir=.
3081 for ac_exec_ext in '' $ac_executable_extensions; do
3082 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
3083 if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
3084 ac_prog_rejected=yes
3085 continue
3086 fi
3087 ac_cv_prog_BUILD_CC="cc"
3088 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
3089 break 2
3090 fi
3091 done
3092 done
3093
3094 if test $ac_prog_rejected = yes; then
3095 # We found a bogon in the path, so make sure we never use it.
3096 set dummy $ac_cv_prog_BUILD_CC
3097 shift
3098 if test $# != 0; then
3099 # We chose a different compiler from the bogus one.
3100 # However, it has the same basename, so the bogon will be chosen
3101 # first if we set BUILD_CC to just the basename; use the full file name.
3102 shift
3103 ac_cv_prog_BUILD_CC="$as_dir/$ac_word${1+' '}$@"
3104 fi
3105 fi
3106 fi
3107 fi
3108 BUILD_CC=$ac_cv_prog_BUILD_CC
3109 if test -n "$BUILD_CC"; then
3110 echo "$as_me:$LINENO: result: $BUILD_CC" >&5
3111 echo "${ECHO_T}$BUILD_CC" >&6
3112 else
3113 echo "$as_me:$LINENO: result: no" >&5
3114 echo "${ECHO_T}no" >&6
3115 fi
3116
3117 fi
3118 fi
3119 test -z "$BUILD_CC" && { { echo "$as_me:$LINENO: error: no acceptable cc found in \$PATH" >&5
3120 echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
3121 { (exit 1); exit 1; }; }
3122 ac_build_link='${BUILD_CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
3123 rm -f conftest*
3124 echo 'int main () { return 0; }' > conftest.$ac_ext
3125 ac_cv_build_exeext=
3126 if { (eval echo "$as_me:$LINENO: \"$ac_build_link\"") >&5
3127 (eval $ac_build_link) 2>&5
3128 ac_status=$?
3129 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3130 (exit $ac_status); }; then
3131 for file in conftest.*; do
3132 case $file in
3133 *.c | *.o | *.obj) ;;
3134 *) ac_cv_build_exeext=`echo $file | sed -e s/conftest//` ;;
3135 esac
3136 done
3137 else
3138 { { echo "$as_me:$LINENO: error: installation or configuration problem: compiler cannot create executables." >&5
3139 echo "$as_me: error: installation or configuration problem: compiler cannot create executables." >&2;}
3140 { (exit 1); exit 1; }; }
3141 fi
3142 rm -f conftest*
3143 test x"${ac_cv_build_exeext}" = x && ac_cv_build_exeext=blank
3144 fi
3145 fi
3146
3147 BUILD_EXEEXT=""
3148 test x"${ac_cv_build_exeext}" != xblank && BUILD_EXEEXT=${ac_cv_build_exeext}
3149 echo "$as_me:$LINENO: result: ${ac_cv_build_exeext}" >&5
3150 echo "${ECHO_T}${ac_cv_build_exeext}" >&6
3151 ac_build_exeext=$BUILD_EXEEXT
3152
3153 else
3154 LLVM_CROSS_COMPILING=0
3155
3156 fi
3157
29793158 if test -d "CVS" -o -d "${srcdir}/CVS"; then
29803159 cvsbuild="yes"
29813160 optimize="no"
31623341 esac
31633342
31643343
3165
31663344 # Check whether --with-extra-options or --without-extra-options was given.
31673345 if test "${with_extra_options+set}" = set; then
3168 extraopts="$with_extra_options"
3346 withval="$with_extra_options"
31693347
31703348 else
31713349 extraopts=default
85708748 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
85718749 lt_status=$lt_dlunknown
85728750 cat > conftest.$ac_ext <
8573 #line 8558 "configure"
8751 #line 8752 "configure"
85748752 #include "confdefs.h"
85758753
85768754 #if HAVE_DLFCN_H
1056110739 ;;
1056210740 *-*-irix6*)
1056310741 # Find out which ABI we are using.
10564 echo '#line 10549 "configure"' > conftest.$ac_ext
10742 echo '#line 10743 "configure"' > conftest.$ac_ext
1056510743 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1056610744 (eval $ac_compile) 2>&5
1056710745 ac_status=$?
1104611224
1104711225
1104811226 # Provide some information about the compiler.
11049 echo "$as_me:11034:" \
11227 echo "$as_me:11228:" \
1105011228 "checking for Fortran 77 compiler version" >&5
1105111229 ac_compiler=`set X $ac_compile; echo $2`
1105211230 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version &5\"") >&5
1210312281 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1210412282 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1210512283 -e 's:$: $lt_compiler_flag:'`
12106 (eval echo "\"\$as_me:12091: $lt_compile\"" >&5)
12284 (eval echo "\"\$as_me:12285: $lt_compile\"" >&5)
1210712285 (eval "$lt_compile" 2>conftest.err)
1210812286 ac_status=$?
1210912287 cat conftest.err >&5
12110 echo "$as_me:12095: \$? = $ac_status" >&5
12288 echo "$as_me:12289: \$? = $ac_status" >&5
1211112289 if (exit $ac_status) && test -s "$ac_outfile"; then
1211212290 # The compiler can only warn and ignore the option if not recognized
1211312291 # So say no if there are warnings
1234612524 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1234712525 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1234812526 -e 's:$: $lt_compiler_flag:'`
12349 (eval echo "\"\$as_me:12334: $lt_compile\"" >&5)
12527 (eval echo "\"\$as_me:12528: $lt_compile\"" >&5)
1235012528 (eval "$lt_compile" 2>conftest.err)
1235112529 ac_status=$?
1235212530 cat conftest.err >&5
12353 echo "$as_me:12338: \$? = $ac_status" >&5
12531 echo "$as_me:12532: \$? = $ac_status" >&5
1235412532 if (exit $ac_status) && test -s "$ac_outfile"; then
1235512533 # The compiler can only warn and ignore the option if not recognized
1235612534 # So say no if there are warnings
1240612584 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1240712585 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1240812586 -e 's:$: $lt_compiler_flag:'`
12409 (eval echo "\"\$as_me:12394: $lt_compile\"" >&5)
12587 (eval echo "\"\$as_me:12588: $lt_compile\"" >&5)
1241012588 (eval "$lt_compile" 2>out/conftest.err)
1241112589 ac_status=$?
1241212590 cat out/conftest.err >&5
12413 echo "$as_me:12398: \$? = $ac_status" >&5
12591 echo "$as_me:12592: \$? = $ac_status" >&5
1241412592 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1241512593 then
1241612594 # The compiler can only warn and ignore the option if not recognized
1459114769 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1459214770 lt_status=$lt_dlunknown
1459314771 cat > conftest.$ac_ext <
14594 #line 14579 "configure"
14772 #line 14773 "configure"
1459514773 #include "confdefs.h"
1459614774
1459714775 #if HAVE_DLFCN_H
1468914867 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1469014868 lt_status=$lt_dlunknown
1469114869 cat > conftest.$ac_ext <
14692 #line 14677 "configure"
14870 #line 14871 "configure"
1469314871 #include "confdefs.h"
1469414872
1469514873 #if HAVE_DLFCN_H
1688217060 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1688317061 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1688417062 -e 's:$: $lt_compiler_flag:'`
16885 (eval echo "\"\$as_me:16870: $lt_compile\"" >&5)
17063 (eval echo "\"\$as_me:17064: $lt_compile\"" >&5)
1688617064 (eval "$lt_compile" 2>conftest.err)
1688717065 ac_status=$?
1688817066 cat conftest.err >&5
16889 echo "$as_me:16874: \$? = $ac_status" >&5
17067 echo "$as_me:17068: \$? = $ac_status" >&5
1689017068 if (exit $ac_status) && test -s "$ac_outfile"; then
1689117069 # The compiler can only warn and ignore the option if not recognized
1689217070 # So say no if there are warnings
1694217120 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1694317121 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1694417122 -e 's:$: $lt_compiler_flag:'`
16945 (eval echo "\"\$as_me:16930: $lt_compile\"" >&5)
17123 (eval echo "\"\$as_me:17124: $lt_compile\"" >&5)
1694617124 (eval "$lt_compile" 2>out/conftest.err)
1694717125 ac_status=$?
1694817126 cat out/conftest.err >&5
16949 echo "$as_me:16934: \$? = $ac_status" >&5
17127 echo "$as_me:17128: \$? = $ac_status" >&5
1695017128 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1695117129 then
1695217130 # The compiler can only warn and ignore the option if not recognized
1830318481 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1830418482 lt_status=$lt_dlunknown
1830518483 cat > conftest.$ac_ext <
18306 #line 18291 "configure"
18484 #line 18485 "configure"
1830718485 #include "confdefs.h"
1830818486
1830918487 #if HAVE_DLFCN_H
1840118579 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1840218580 lt_status=$lt_dlunknown
1840318581 cat > conftest.$ac_ext <
18404 #line 18389 "configure"
18582 #line 18583 "configure"
1840518583 #include "confdefs.h"
1840618584
1840718585 #if HAVE_DLFCN_H
1923819416 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1923919417 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1924019418 -e 's:$: $lt_compiler_flag:'`
19241 (eval echo "\"\$as_me:19226: $lt_compile\"" >&5)
19419 (eval echo "\"\$as_me:19420: $lt_compile\"" >&5)
1924219420 (eval "$lt_compile" 2>conftest.err)
1924319421 ac_status=$?
1924419422 cat conftest.err >&5
19245 echo "$as_me:19230: \$? = $ac_status" >&5
19423 echo "$as_me:19424: \$? = $ac_status" >&5
1924619424 if (exit $ac_status) && test -s "$ac_outfile"; then
1924719425 # The compiler can only warn and ignore the option if not recognized
1924819426 # So say no if there are warnings
1929819476 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
1929919477 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1930019478 -e 's:$: $lt_compiler_flag:'`
19301 (eval echo "\"\$as_me:19286: $lt_compile\"" >&5)
19479 (eval echo "\"\$as_me:19480: $lt_compile\"" >&5)
1930219480 (eval "$lt_compile" 2>out/conftest.err)
1930319481 ac_status=$?
1930419482 cat out/conftest.err >&5
19305 echo "$as_me:19290: \$? = $ac_status" >&5
19483 echo "$as_me:19484: \$? = $ac_status" >&5
1930619484 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1930719485 then
1930819486 # The compiler can only warn and ignore the option if not recognized
2133721515 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2133821516 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2133921517 -e 's:$: $lt_compiler_flag:'`
21340 (eval echo "\"\$as_me:21325: $lt_compile\"" >&5)
21518 (eval echo "\"\$as_me:21519: $lt_compile\"" >&5)
2134121519 (eval "$lt_compile" 2>conftest.err)
2134221520 ac_status=$?
2134321521 cat conftest.err >&5
21344 echo "$as_me:21329: \$? = $ac_status" >&5
21522 echo "$as_me:21523: \$? = $ac_status" >&5
2134521523 if (exit $ac_status) && test -s "$ac_outfile"; then
2134621524 # The compiler can only warn and ignore the option if not recognized
2134721525 # So say no if there are warnings
2158021758 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2158121759 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2158221760 -e 's:$: $lt_compiler_flag:'`
21583 (eval echo "\"\$as_me:21568: $lt_compile\"" >&5)
21761 (eval echo "\"\$as_me:21762: $lt_compile\"" >&5)
2158421762 (eval "$lt_compile" 2>conftest.err)
2158521763 ac_status=$?
2158621764 cat conftest.err >&5
21587 echo "$as_me:21572: \$? = $ac_status" >&5
21765 echo "$as_me:21766: \$? = $ac_status" >&5
2158821766 if (exit $ac_status) && test -s "$ac_outfile"; then
2158921767 # The compiler can only warn and ignore the option if not recognized
2159021768 # So say no if there are warnings
2164021818 -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
2164121819 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2164221820 -e 's:$: $lt_compiler_flag:'`
21643 (eval echo "\"\$as_me:21628: $lt_compile\"" >&5)
21821 (eval echo "\"\$as_me:21822: $lt_compile\"" >&5)
2164421822 (eval "$lt_compile" 2>out/conftest.err)
2164521823 ac_status=$?
2164621824 cat out/conftest.err >&5
21647 echo "$as_me:21632: \$? = $ac_status" >&5
21825 echo "$as_me:21826: \$? = $ac_status" >&5
2164821826 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2164921827 then
2165021828 # The compiler can only warn and ignore the option if not recognized
2382524003 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2382624004 lt_status=$lt_dlunknown
2382724005 cat > conftest.$ac_ext <
23828 #line 23813 "configure"
24006 #line 24007 "configure"
2382924007 #include "confdefs.h"
2383024008
2383124009 #if HAVE_DLFCN_H
2392324101 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
2392424102 lt_status=$lt_dlunknown
2392524103 cat > conftest.$ac_ext <
23926 #line 23911 "configure"
24104 #line 24105 "configure"
2392724105 #include "confdefs.h"
2392824106
2392924107 #if HAVE_DLFCN_H
3189732075 s,@ac_ct_CC@,$ac_ct_CC,;t t
3189832076 s,@EXEEXT@,$EXEEXT,;t t
3189932077 s,@OBJEXT@,$OBJEXT,;t t
32078 s,@LLVM_CROSS_COMPILING@,$LLVM_CROSS_COMPILING,;t t
32079 s,@BUILD_CC@,$BUILD_CC,;t t
32080 s,@BUILD_EXEEXT@,$BUILD_EXEEXT,;t t
3190032081 s,@CVSBUILD@,$CVSBUILD,;t t
3190132082 s,@ENABLE_OPTIMIZED@,$ENABLE_OPTIMIZED,;t t
3190232083 s,@DISABLE_ASSERTIONS@,$DISABLE_ASSERTIONS,;t t